#!/usr/local/bin/python3

import requests
import json
import sys
import webbrowser

# User Configuration
PB_USERNAME = "your Pinboard username"
PB_PASSWORD = "your Pinboard password"
# End Configuration

PB_INPUT = sys.argv[1]

PB_JSON = json.loads(PB_INPUT)

webbrowser.open(PB_JSON['url'])

PB_URL = "https://api.pinboard.in/v1/posts/add?url={0}&description={1}&extended={2}&tags={3}&shared={4}replace=yes&toread=no".format(PB_JSON['url'], PB_JSON['title'], PB_JSON['subtitle'], PB_JSON['actionArgument']['tags'], PB_JSON['actionArgument']['shared'])

r = requests.post(PB_URL, auth=((PB_USERNAME, PB_PASSWORD)))